classification
Title: Curses - add missing functions to doc
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, eric.araujo, ezio.melotti, python-dev, sandro.tosi
Priority: low Keywords: patch

Created on 2011-03-01 18:50 by sandro.tosi, last changed 2011-07-21 05:58 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
curses_missing_functs-py3k.patch sandro.tosi, 2011-03-01 18:50
curses_doc_update.diff sandro.tosi, 2011-06-26 09:58 review
curses_missing_functs-py3k-v2.patch sandro.tosi, 2011-06-26 10:13 review
Messages (10)
msg129791 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-03-01 18:50
Following up http://mail.python.org/pipermail/docs/2011-January/002922.html , I did a check on all the documented functions of curses and those available from the module, and wrote a patch to include in the doc the missing ones (text is mainly brought by manpages).

IMHO, it should be backported to the currently maintained versions (but I didn't check what's 2.7 status).
msg129793 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-03-01 18:53
On Tue, Mar 1, 2011 at 19:50, Sandro Tosi <report@bugs.python.org> wrote:
>
> New submission from Sandro Tosi <sandro.tosi@gmail.com>:
>
> Following up http://mail.python.org/pipermail/docs/2011-January/002922.html , I did a check on all the documented functions of curses and those available from the module, and wrote a patch to include in the doc the missing ones (text is mainly brought by manpages).
>
> IMHO, it should be backported to the currently maintained versions (but I didn't check what's 2.7 status).

I did it now, it was quite easy: diff between 2.7 and py3k doc files
are just a bunch of line, and patch applies fine (with some hunk
offsets) on release2.7-maint too.
msg139158 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-06-26 09:58
As requested by Ezio, I'm attaching a "pre-patch" to bring curses doc a bit more adherent to current standards like by s/Returns/Return/ , ``True`` instead of true and so on. It applies ok on 3.3 and 3.2, on 2.7 a hunk is failing (but Ezio said it's fine this way :)).

After this patch is applies, the previous one (to add missing functs) can be applied.
msg139159 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-06-26 10:13
Still following Ezio suggestion, I've reworked a bit the original patch, attaching its -v2 .
msg139163 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-06-26 10:39
New changeset 3eb9c31a0b03 by Ezio Melotti in branch '2.7':
#11363: clean up curses doc.
http://hg.python.org/cpython/rev/3eb9c31a0b03

New changeset 3dc602b1f4a2 by Ezio Melotti in branch '2.7':
#11363: add missing functions from curses doc. Patch by Sandro Tosi.
http://hg.python.org/cpython/rev/3dc602b1f4a2

New changeset bb27baa1124a by Ezio Melotti in branch '3.2':
#11363: clean up curses doc.
http://hg.python.org/cpython/rev/bb27baa1124a

New changeset f852e2d556af by Ezio Melotti in branch '3.2':
#11363: add missing functions from curses doc. Patch by Sandro Tosi.
http://hg.python.org/cpython/rev/f852e2d556af

New changeset b879bad40154 by Ezio Melotti in branch 'default':
#11363: merge with 3.2.
http://hg.python.org/cpython/rev/b879bad40154
msg139164 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-06-26 10:41
Fixed, thanks for the patch!
msg139426 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-29 15:17
A typo slipped into the 3.2 commit: x``'\033[6;4H'``

In addition, I tried the example in my shell and got a bytes/str error; that’s probably another report.
msg139443 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-06-29 18:16
I think the same typo is also on default (since merged from 3.2): Ezio, do you want me to upload a patch or you'll fix it?

Éric: I can see the tparm() example is failing, since tgetstr() is returning bytes while it expects a string: did you already file about about it? want me to?
msg139658 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-02 14:39
Yes, the typo is also on default; I did not mention it, as the merge would have shown it :)

I did not report the bug I found; if you could test all examples for 3.x-compat and open a report, it would be great.
msg140787 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-07-21 05:58
FWIW the typo has been fixed in 13c9b93e97ad.
If the example is failing another issue should be created.
History
Date User Action Args
2011-07-21 05:58:37ezio.melottisetstatus: open -> closed

messages: + msg140787
2011-07-02 14:39:18eric.araujosetmessages: + msg139658
2011-06-29 18:16:18sandro.tosisetmessages: + msg139443
2011-06-29 15:17:27eric.araujosetstatus: closed -> open
nosy: + eric.araujo
messages: + msg139426

2011-06-26 10:41:51ezio.melottisetstatus: open -> closed
messages: + msg139164

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: patch review -> resolved
2011-06-26 10:39:57python-devsetnosy: + python-dev
messages: + msg139163
2011-06-26 10:13:04sandro.tosisetfiles: + curses_missing_functs-py3k-v2.patch

messages: + msg139159
2011-06-26 09:58:14sandro.tosisetfiles: + curses_doc_update.diff
versions: - Python 3.1
nosy: + ezio.melotti

messages: + msg139158
2011-03-01 18:53:23sandro.tosisetmessages: + msg129793
2011-03-01 18:50:01sandro.tosicreate